> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload user skill



## OpenAPI

````yaml api-reference/openapi.v1.json POST /skills
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /skills:
    post:
      tags:
        - skills
      summary: Upload user skill
      operationId: uploadUserSkill
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SkillUploadRequest'
        required: true
      responses:
        '204':
          description: No Content
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SkillUploadRequest:
      additionalProperties: false
      properties:
        files:
          items:
            $ref: '#/components/schemas/SkillUploadFile'
          minItems: 1
          type: array
        overwrite:
          type: boolean
        slug:
          pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$
          type: string
      required:
        - slug
        - files
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    SkillUploadFile:
      additionalProperties: false
      properties:
        content:
          type: string
        mode:
          format: int32
          minimum: 0
          type: integer
        path:
          minLength: 1
          type: string
      required:
        - path
        - content
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````